Have ideas to improve npm?Join in the discussion! »

must-jsx

4.0.0 • Public • Published

Build Status

must-jsx

Add JSX assertions to Must.js.

Install

npm install must-jsx

Usage

Note: If you're using react@0.14 please use version 2.0.0 or less.

import must from "must"
import mustJSX from "must-jsx"
 
mustJSX(must)
 
...
 
// Test component
class Garry extends Component {
  render() {
    return <div>Garry will {this.props.will}</div>
  }
}
 
describe("Component", function() {
  it("must render correctly", function() {
    const el = <div>Garry will be avenged!</div>
 
    // React shallow renderer
    render(<Garry will="be avenged!" />).must.be.jsx(el)
  })
})
 

Install

npm i must-jsx

DownloadsWeekly Downloads

1

Version

4.0.0

License

ISC

Last publish

Collaborators

  • avatar